aboutsummaryrefslogtreecommitdiffstatshomepage
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2019-09-09 19:23:41 +0300
committerEgor Tensin <Egor.Tensin@gmail.com>2019-09-09 19:23:41 +0300
commit3ee246529be831c0d5e5458eca31bc8bf137b004 (patch)
tree93459a71e643bb61f9f3f1fce048b95068cd6039
parentfix Python 3.4 incompatibility (diff)
downloadvk-scripts-3ee246529be831c0d5e5458eca31bc8bf137b004.tar.gz
vk-scripts-3ee246529be831c0d5e5458eca31bc8bf137b004.zip
Travis: run more scripts
-rw-r--r--.travis.yml2
-rwxr-xr-x.travis/track_status.sh19
2 files changed, 21 insertions, 0 deletions
diff --git a/.travis.yml b/.travis.yml
index 4c87aee..93bd59c 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -6,4 +6,6 @@ python:
- '3.7'
install:
script:
+ - python3 -m bin.mutual_friends kreed58 maxkorzh_official
- python3 -m bin.show_status egor.tensin
+ - ./.travis/track_status.sh
diff --git a/.travis/track_status.sh b/.travis/track_status.sh
new file mode 100755
index 0000000..3702676
--- /dev/null
+++ b/.travis/track_status.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+
+set -o errexit -o nounset -o pipefail
+
+main() {
+ local log_path
+ log_path="$( mktemp )"
+
+ nohup python3 -m bin.track_status egor.tensin > "$log_path" 2>&1 &
+ local pid="$!"
+
+ sleep 15
+ kill -SIGINT "$pid"
+ wait "$pid"
+
+ cat "$log_path"
+}
+
+main